=== images/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE IMAGES ::..")

PROJECT(images)

ADD_SUBDIRECTORY( logos )
ADD_SUBDIRECTORY( operations )

INSTALL(FILES splash.png DESTINATION ${DATA_INSTALL_DIR}/skrooge/images)
