=== skgbankmodelertest/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE SKGBANKMODELERTEST ::..")

PROJECT(SKGBANKMODELERTEST)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

INCLUDE_DIRECTORIES (${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasemodelertest ${CMAKE_SOURCE_DIR}/skgbankmodeler
${CMAKE_BUILD_DIR}/skgbasemodeler ${CMAKE_BUILD_DIR}/skgbasemodelertest ${CMAKE_SOURCE_DIR}/skgbankmodeler
)

#Make executables
ADD_EXECUTABLE(skgtestbankandaccount skgtestbankandaccount.cpp)
ADD_EXECUTABLE(skgtestbigdocument skgtestbigdocument.cpp)
ADD_EXECUTABLE(skgtestcategory skgtestcategory.cpp)
ADD_EXECUTABLE(skgtestdocparameter skgtestdocparameter.cpp)
ADD_EXECUTABLE(skgtestmigration skgtestmigration.cpp)
ADD_EXECUTABLE(skgtestobjects skgtestobjects.cpp)
ADD_EXECUTABLE(skgtestoperation skgtestoperation.cpp)
ADD_EXECUTABLE(skgtestrecurrent skgtestrecurrent.cpp)
ADD_EXECUTABLE(skgtestrefund skgtestrefund.cpp)
ADD_EXECUTABLE(skgtestimportqif skgtestimportqif.cpp)
ADD_EXECUTABLE(skgtestimportstockqif skgtestimportstockqif.cpp)
ADD_EXECUTABLE(skgtestimportcsv skgtestimportcsv.cpp)
ADD_EXECUTABLE(skgtestimportofx skgtestimportofx.cpp)
ADD_EXECUTABLE(skgtestimportcsvunit skgtestimportcsvunit.cpp)
ADD_EXECUTABLE(skgtestinterest skgtestinterest.cpp)
ADD_EXECUTABLE(skgtestrule skgtestrule.cpp)
ADD_EXECUTABLE(skgtestunit skgtestunit.cpp)

TARGET_LINK_LIBRARIES(skgtestbankandaccount ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestcategory ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestdocparameter ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestmigration ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestbigdocument ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestobjects ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestoperation ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestrecurrent ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestrefund ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportqif ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportstockqif ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportcsv ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportofx ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportcsvunit ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestinterest ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestrule ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestunit ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)

#Add test
ENABLE_TESTING()
ADD_TEST(skgtestbankandaccount ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestbankandaccount.sh)
ADD_TEST(skgtestcategory ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestcategory.sh)
ADD_TEST(skgtestdocparameter ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestdocparameter.sh)
ADD_TEST(skgtestmigration ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestmigration.sh)
ADD_TEST(skgtestobjects ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestobjects.sh)
ADD_TEST(skgtestoperation ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestoperation.sh)
ADD_TEST(skgtestrecurrent ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestrecurrent.sh)
ADD_TEST(skgtestrefund ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestrefund.sh)
ADD_TEST(skgtestrule ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestrule.sh)
ADD_TEST(skgtestunit ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestunit.sh)

ADD_TEST(skgtestimportcsv ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportcsv.sh)
ADD_TEST(skgtestimportofx ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportofx.sh)
ADD_TEST(skgtestimportcsvunit ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportcsvunit.sh)
ADD_TEST(skgtestimportqif ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportqif.sh)
ADD_TEST(skgtestimportstockqif ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportstockqif.sh)

ADD_TEST(skgtestinterest ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestinterest.sh)

ADD_TEST(skgtestbigdocument ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestbigdocument.sh)

INCLUDE(CTest)
