=== skgbaseguitest/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE SKGBASEGUITEST ::..")

PROJECT(SKBBASEMODELERTEST)

ADD_DEFINITIONS(-DQT_GUI_LIB)
LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})
INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} 
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui 
${CMAKE_BINARY_DIR}/skgbasegui
)

#Make executables
ADD_EXECUTABLE(skgtestcombobox skgtestcombobox.cpp)
ADD_EXECUTABLE(skgtestcalculatoredit skgtestcalculatoredit.cpp)
ADD_EXECUTABLE(skgtestdateedit skgtestdateedit.cpp)
ADD_EXECUTABLE(skgtestmainpanel skgtestmainpanel.cpp)
ADD_EXECUTABLE(skgtestwidgetcollection skgtestwidgetcollection.cpp)

QT4_AUTOMOC(skgtestcombobox.cpp)
QT4_AUTOMOC(skgtestcalculatoredit.cpp)
QT4_AUTOMOC(skgtestdateedit.cpp)
QT4_AUTOMOC(skgtestmainpanel.cpp)
QT4_AUTOMOC(skgtestwidgetcollection.cpp)

TARGET_LINK_LIBRARIES(skgtestcombobox ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} skgbasegui)
TARGET_LINK_LIBRARIES(skgtestcalculatoredit ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} skgbasegui)
TARGET_LINK_LIBRARIES(skgtestdateedit ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} skgbasegui)
TARGET_LINK_LIBRARIES(skgtestmainpanel ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} skgbasegui skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestwidgetcollection ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} skgbasegui)

#Add test
ENABLE_TESTING()
ADD_TEST(skgtestcombobox ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestcombobox.sh)
ADD_TEST(skgtestcalculatoredit ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestcalculatoredit.sh)
ADD_TEST(skgtestdateedit ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestdateedit.sh)
ADD_TEST(skgtestmainpanel ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestmainpanel.sh)
ADD_TEST(skgtestwidgetcollection ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestwidgetcollection.sh)

INCLUDE(CTest)
