## skrooge 0.7.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 FIND_PROGRAM(SKG_BASH bash)
 MARK_AS_ADVANCED(SKG_BASH)
 
-SET(VERSION 0.6.0)
-SET(SOVERSION 1)
+SET(VERSION 0.7.3)
+SET(SOVERSION 0)
 SET(UPDATE_TYPE "svn")
 SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${skrooge_SOURCE_DIR}/cmake/modules )
 
@@ -55,7 +55,9 @@
 
 #Correction bug 207249 vvvv
 #SET(CMAKE_CXX_FLAGS "-Wall" )
-SET(CMAKE_CXX_FLAGS "-Wall ${CMAKE_CXX_FLAGS}")
+IF(CMAKE_COMPILER_IS_GNUCXX)
+  SET(CMAKE_CXX_FLAGS "-Wall ${CMAKE_CXX_FLAGS}")
+ENDIF(CMAKE_COMPILER_IS_GNUCXX)
 #Correction bug 207249 ^^^^
 
 #Default installation path
@@ -63,8 +65,10 @@
 
 # Win32 specific configuration
 IF(WIN32)
-	ADD_DEFINITIONS(-DSKG_PLATFORM_WIN32)
+    ADD_DEFINITIONS(-DSKG_PLATFORM_WIN32)
+    IF(CMAKE_COMPILER_IS_GNUCXX)
 	SET(CMAKE_SHARED_LINKER_FLAGS "-Wl,--enable-runtime-pseudo-reloc -Wl,--export-all-symbols" CACHE STRING "" FORCE)
+    ENDIF(CMAKE_COMPILER_IS_GNUCXX)
 ELSE(WIN32)
 #To solve Bug 209912:"ldd -u <library>""
 #doesnt work on MACOS, must be done manually		SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--as-needed" CACHE STRING "" FORCE)
@@ -77,35 +81,44 @@
 ADD_SUBDIRECTORY(skgbasegui)
 ADD_SUBDIRECTORY(skgbankgui)
 
+#generic plugins
+ADD_SUBDIRECTORY(skg_bookmark)
+ADD_SUBDIRECTORY(skg_dashboard)
+#ADD_SUBDIRECTORY(skg_dashboard2) #<-- Experimental plugin, do not activate
+ADD_SUBDIRECTORY(skg_debug)
+ADD_SUBDIRECTORY(skg_delete)
+ADD_SUBDIRECTORY(skg_file)
+ADD_SUBDIRECTORY(skg_print)
+ADD_SUBDIRECTORY(skg_undoredo)
+ADD_SUBDIRECTORY(skg_properties)
+
+#bank plugins
 ADD_SUBDIRECTORY(skrooge_bank)
-ADD_SUBDIRECTORY(skrooge_bookmark)
 ADD_SUBDIRECTORY(skrooge_calculator)
 ADD_SUBDIRECTORY(skrooge_categories)
-ADD_SUBDIRECTORY(skrooge_dashboard)
-# ADD_SUBDIRECTORY(skrooge_dashboard2) #<-- Experimental plugin, do not activate
-ADD_SUBDIRECTORY(skrooge_debug)
-ADD_SUBDIRECTORY(skrooge_delete)
-ADD_SUBDIRECTORY(skrooge_file)
 ADD_SUBDIRECTORY(skrooge_importexport)
 ADD_SUBDIRECTORY(skrooge_monthly)
 ADD_SUBDIRECTORY(skrooge_operation)
-ADD_SUBDIRECTORY(skrooge_print)
-ADD_SUBDIRECTORY(skrooge_properties)
 ADD_SUBDIRECTORY(skrooge_report)
 ADD_SUBDIRECTORY(skrooge_scheduled)
 ADD_SUBDIRECTORY(skrooge_search)
+ADD_SUBDIRECTORY(skrooge_payee)
 ADD_SUBDIRECTORY(skrooge_tracker)
-ADD_SUBDIRECTORY(skrooge_undoredo)
 ADD_SUBDIRECTORY(skrooge_unit)
 ADD_SUBDIRECTORY(images)
-ADD_SUBDIRECTORY(skrooge)
 
 IF(SKG_BUILD_TEST AND NOT WIN32)
 	ADD_SUBDIRECTORY(skgbasemodelertest)
 	ADD_SUBDIRECTORY(skgbankmodelertest)
 	ADD_SUBDIRECTORY(skgbaseguitest)
+	ADD_SUBDIRECTORY(skgbankguitest)
 	ADD_SUBDIRECTORY(skroogetest)
+
+#ADD_SUBDIRECTORY(skgmyapplitest) #<-- Experimental plugin, do not activate
 ENDIF(SKG_BUILD_TEST AND NOT WIN32)
+
+#Main application
+ADD_SUBDIRECTORY(skrooge)
 
 CONFIGURE_FILE(scripts/addNewPlugin.sh.in scripts/addNewPlugin.sh @ONLY)
 
@@ -117,7 +130,7 @@
 
 #DOXYGEN
 CONFIGURE_FILE(scripts/Doxyfile.in scripts/Doxyfile @ONLY)
-ADD_CUSTOM_TARGET(apidox "doxygen" "scripts/Doxyfile" DEPENDS "scripts/Doxyfile")
+ADD_CUSTOM_TARGET(apidox "doxygen" "scripts/Doxyfile" DEPENDS "scripts/Doxyfile.in")
 
 #KRAZY
 CONFIGURE_FILE(scripts/krazy.sh.in scripts/krazy.sh @ONLY)
@@ -145,8 +158,8 @@
 SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/CHANGELOG")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
 SET(CPACK_PACKAGE_VERSION_MAJOR "0")
-SET(CPACK_PACKAGE_VERSION_MINOR "6")
-SET(CPACK_PACKAGE_VERSION_PATCH "0")
+SET(CPACK_PACKAGE_VERSION_MINOR "7")
+SET(CPACK_PACKAGE_VERSION_PATCH "3")
 SET(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${VERSION}")
 SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${VERSION}-dev")
 SET(CPACK_INSTALL_CMAKE_PROJECTS "${CMAKE_BINARY_DIR};skrooge;ALL;/")
