=== images/CMakeLists.txt ===
--- 
+++ 
@@ -6,5 +6,3 @@
 ADD_SUBDIRECTORY( operations )
 
 INSTALL(FILES splash.png DESTINATION ${DATA_INSTALL_DIR}/skrooge/images)
-
-
