=== po/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 add_subdirectory( gl )
 add_subdirectory( hu )
 add_subdirectory( it )
+add_subdirectory( ko )
 add_subdirectory( lt )
 add_subdirectory( ms )
 add_subdirectory( nb )
@@ -22,6 +23,7 @@
 add_subdirectory( pt )
 add_subdirectory( pt_BR )
 add_subdirectory( ro )
+add_subdirectory( ru )
 add_subdirectory( sk )
 add_subdirectory( sv )
 add_subdirectory( tr )
