=== skg_file/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_FILE ::..")

PROJECT(plugin_file)


INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_file_SRCS skgfileplugin.cpp skgtipofdayboardwidget.cpp)

kde4_add_ui_files(skg_file_SRCS skgfilepluginwidget_pref.ui skgtipofdayboardwidget.ui)

kde4_add_kcfg_files(skg_file_SRCS skgfile_settings.kcfgc )

kde4_add_plugin(skg_file ${skg_file_SRCS})

TARGET_LINK_LIBRARIES(skg_file ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui)

########### install files ###############
INSTALL(TARGETS skg_file DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgfile_settings.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-file.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_file.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_file )
