=== skg_undoredo/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_UNDOREDO ::..")

PROJECT(plugin_undoredo)


INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_undoredo_SRCS skgundoredoplugin.cpp skgundoredoplugindockwidget.cpp)

kde4_add_ui_files(skg_undoredo_SRCS skgundoredoplugindockwidget_base.ui skgundoredopluginwidget_pref.ui)

kde4_add_kcfg_files(skg_undoredo_SRCS skgundoredo_settings.kcfgc )

kde4_add_plugin(skg_undoredo ${skg_undoredo_SRCS})
TARGET_LINK_LIBRARIES(skg_undoredo ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui)

########### install files ###############
INSTALL(TARGETS skg_undoredo DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgundoredo_settings.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-undoredo.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_undoredo.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_undoredo )
