=== skgbankgui/CMakeLists.txt ===
--- 
+++ 
@@ -16,13 +16,15 @@
    skgpredicatcreator.cpp
    skgpredicatcreatordesignerplugin.cpp
    skgquerydelegate.cpp
+   skgunitcombobox.cpp
+   skgunitcomboboxdesignerplugin.cpp
  )
 
 kde4_add_ui_files(skgbankgui_SRCS skgquerycreator.ui)
 
 KDE4_ADD_LIBRARY(skgbankgui SHARED ${skgbankgui_SRCS})
 
-TARGET_LINK_LIBRARIES(skgbankgui ${QT_QTSQL_LIBRARY} ${QT_QTDESIGNER_LIBRARY} ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KFILE_LIBS} skgbankmodeler skgbasemodeler skgbasegui)
+TARGET_LINK_LIBRARIES(skgbankgui ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} skgbankmodeler skgbasemodeler skgbasegui)
 SET_TARGET_PROPERTIES( skgbankgui PROPERTIES VERSION ${VERSION} SOVERSION ${SOVERSION} )
 
 ########### install files ###############
