=== skgbankmodeler/CMakeLists.txt ===
--- 
+++ 
@@ -3,17 +3,20 @@
 PROJECT(SKGBANKMODELER)
 
 LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})
-#Correction bug 223848 vvvv
-IF(LIBOFX_FOUND)
-INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${LIBOFX_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/skgbasemodeler)
-ELSE(LIBOFX_FOUND)
-INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${CMAKE_SOURCE_DIR}/skgbasemodeler)
-ENDIF(LIBOFX_FOUND)
-#Correction bug 223848 ^^^^
 
 #Correction bug 223848 vvvv
 #FIND_PACKAGE( LibOfx REQUIRED )
-FIND_PACKAGE( LibOfx )
+IF(WIN32)
+    SET(LIBOFX_FOUND TRUE)
+ELSE(WIN32)
+    FIND_PACKAGE( LibOfx )
+ENDIF(WIN32)
+
+IF(LIBOFX_FOUND)
+    INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${LIBOFX_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/skgbasemodeler)
+ELSE(LIBOFX_FOUND)
+    INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${CMAKE_SOURCE_DIR}/skgbasemodeler)
+ENDIF(LIBOFX_FOUND)
 #Correction bug 223848 ^^^^
 
 SET(skgbankmodeler_SRCS
@@ -22,12 +25,18 @@
    skgoperationobject.cpp
    skgrecurrentoperationobject.cpp
    skgtrackerobject.cpp
+   skgpayeeobject.cpp
    skgsuboperationobject.cpp
    skgcategoryobject.cpp
    skgunitobject.cpp
    skgunitvalueobject.cpp
    skgdocumentbank.cpp
    skgimportexportmanager.cpp
+   skgimportskg.cpp
+   skgimportkmy.cpp
+   skgimportgnc.cpp
+   skgimportgsb.cpp
+   skgimportxhb.cpp
    skgruleobject.cpp
    skginterestobject.cpp
  )
@@ -37,7 +46,7 @@
 
 #need to link to some other libraries ? just add them here
 #Correction bug 223848 vvvv
-TARGET_LINK_LIBRARIES(skgbankmodeler ${KDE4_KDEUI_LIBS}  ${QT_QTSQL_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTCORE_LIBRARY} skgbasemodeler)
+TARGET_LINK_LIBRARIES(skgbankmodeler ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${QT_QTXML_LIBRARY} ${QT_QTSQL_LIBRARY} skgbasemodeler)
 IF(LIBOFX_FOUND)
 MESSAGE( STATUS "OFX found. OFX support enabled")
 TARGET_LINK_LIBRARIES(skgbankmodeler ${LIBOFX_LIBRARIES})
