=== skgbankmodelertest/CMakeLists.txt ===
--- 
+++ 
@@ -19,11 +19,17 @@
 ADD_EXECUTABLE(skgtestoperation skgtestoperation.cpp)
 ADD_EXECUTABLE(skgtestrecurrent skgtestrecurrent.cpp)
 ADD_EXECUTABLE(skgtestrefund skgtestrefund.cpp)
+ADD_EXECUTABLE(skgtestpayee skgtestpayee.cpp)
 ADD_EXECUTABLE(skgtestimportqif skgtestimportqif.cpp)
+ADD_EXECUTABLE(skgtestimportgnucash skgtestimportgnucash.cpp)
+ADD_EXECUTABLE(skgtestimportgsb skgtestimportgsb.cpp)
+ADD_EXECUTABLE(skgtestimportkmy skgtestimportkmy.cpp)
+ADD_EXECUTABLE(skgtestimportskg skgtestimportskg.cpp)
 ADD_EXECUTABLE(skgtestimportstockqif skgtestimportstockqif.cpp)
 ADD_EXECUTABLE(skgtestimportcsv skgtestimportcsv.cpp)
 ADD_EXECUTABLE(skgtestimportofx skgtestimportofx.cpp)
 ADD_EXECUTABLE(skgtestimportcsvunit skgtestimportcsvunit.cpp)
+ADD_EXECUTABLE(skgtestimportxhb skgtestimportxhb.cpp)
 ADD_EXECUTABLE(skgtestinterest skgtestinterest.cpp)
 ADD_EXECUTABLE(skgtestrule skgtestrule.cpp)
 ADD_EXECUTABLE(skgtestunit skgtestunit.cpp)
@@ -37,11 +43,17 @@
 TARGET_LINK_LIBRARIES(skgtestoperation ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
 TARGET_LINK_LIBRARIES(skgtestrecurrent ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
 TARGET_LINK_LIBRARIES(skgtestrefund ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
+TARGET_LINK_LIBRARIES(skgtestpayee ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
 TARGET_LINK_LIBRARIES(skgtestimportqif ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
+TARGET_LINK_LIBRARIES(skgtestimportgnucash ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
+TARGET_LINK_LIBRARIES(skgtestimportgsb ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
+TARGET_LINK_LIBRARIES(skgtestimportkmy ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
+TARGET_LINK_LIBRARIES(skgtestimportskg ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
 TARGET_LINK_LIBRARIES(skgtestimportstockqif ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
 TARGET_LINK_LIBRARIES(skgtestimportcsv ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
 TARGET_LINK_LIBRARIES(skgtestimportofx ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
 TARGET_LINK_LIBRARIES(skgtestimportcsvunit ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
+TARGET_LINK_LIBRARIES(skgtestimportxhb ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
 TARGET_LINK_LIBRARIES(skgtestinterest ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
 TARGET_LINK_LIBRARIES(skgtestrule ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
 TARGET_LINK_LIBRARIES(skgtestunit ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
@@ -56,6 +68,7 @@
 ADD_TEST(skgtestoperation ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestoperation.sh)
 ADD_TEST(skgtestrecurrent ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestrecurrent.sh)
 ADD_TEST(skgtestrefund ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestrefund.sh)
+ADD_TEST(skgtestpayee ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestpayee.sh)
 ADD_TEST(skgtestrule ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestrule.sh)
 ADD_TEST(skgtestunit ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestunit.sh)
 
@@ -63,7 +76,12 @@
 ADD_TEST(skgtestimportofx ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportofx.sh)
 ADD_TEST(skgtestimportcsvunit ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportcsvunit.sh)
 ADD_TEST(skgtestimportqif ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportqif.sh)
+ADD_TEST(skgtestimportgnucash ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportgnucash.sh)
+ADD_TEST(skgtestimportgsb ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportgsb.sh)
+ADD_TEST(skgtestimportkmy ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportkmy.sh)
+ADD_TEST(skgtestimportskg ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportskg.sh)
 ADD_TEST(skgtestimportstockqif ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportstockqif.sh)
+ADD_TEST(skgtestimportxhb ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportxhb.sh)
 
 ADD_TEST(skgtestinterest ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestinterest.sh)
