=== skgbasegui/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
 LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})
 
 SET(skgbasegui_SRCS
+   skguniqueapplication.cpp
    skgmainpanel.cpp
    skgobjectmodelbase.cpp
    skgwidget.cpp
@@ -24,6 +25,10 @@
    skgtreeview.cpp
    skgcomboboxdesignerplugin.cpp
    skgcombobox.cpp
+   skgcolorbuttondesignerplugin.cpp
+   skgcolorbutton.cpp
+   skgzoomselectordesignerplugin.cpp
+   skgzoomselector.cpp
    skglineeditdesignerplugin.cpp
    skglineedit.cpp
    skgcalculatoreditdesignerplugin.cpp
@@ -39,13 +44,13 @@
    skgsortfilterproxymodel.cpp
  )
 
-kde4_add_ui_files(skgbasegui_SRCS skgmainpanel_base.ui skgmainpanel_pref.ui skggraphicsview.ui skgtablewithgraph.ui  )
+kde4_add_ui_files(skgbasegui_SRCS skgmainpanel_base.ui skgmainpanel_pref.ui skggraphicsview.ui skgtablewithgraph.ui skgcolorbutton.ui skgzoomselector.ui )
 
 kde4_add_kcfg_files(skgbasegui_SRCS skgbasegui_settings.kcfgc )
 
 KDE4_ADD_LIBRARY(skgbasegui SHARED ${skgbasegui_SRCS})
 
-TARGET_LINK_LIBRARIES(skgbasegui ${QT_QTDESIGNER_LIBRARY} ${QT_QTSCRIPT_LIBRARY} ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KFILE_LIBS} skgbasemodeler)
+TARGET_LINK_LIBRARIES(skgbasegui ${KDE4_KPARTS_LIBS} ${QT_QTSCRIPT_LIBRARY} ${QT_QTWEBKIT_LIBRARY} skgbasemodeler)
 SET_TARGET_PROPERTIES( skgbasegui PROPERTIES VERSION ${VERSION} SOVERSION ${SOVERSION} )
 
 ########### install files ###############
@@ -56,9 +61,8 @@
 INSTALL(TARGETS skgbasegui LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )
 ENDIF(WIN32)
 
-INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgmainpanel.rc  DESTINATION  ${DATA_INSTALL_DIR}/skrooge )
-INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge.notifyrc  DESTINATION  ${DATA_INSTALL_DIR}/skrooge )
+INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgmainpanel.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg )
 INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgbasegui_settings.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
-INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge-plugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
+INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
 
 kde4_install_icons(${ICON_INSTALL_DIR})
