=== debian/changelog ===
skrooge (0.7.2.2-1) unstable; urgency=low

  * New upstream release
    - Correction bug 213786: Account balance is not displayed

 -- Mark Purcell <msp@debian.org>  Sat, 31 Jul 2010 12:27:41 +1000

skrooge (0.7.2-1) unstable; urgency=low

  * New Upstream Release
  * Add myself to uploaders

 -- Mark Purcell <msp@debian.org>  Sun, 25 Jul 2010 15:19:15 +1000

skrooge (0.7.1-2) unstable; urgency=low

  * Update location of KDE 4 HTML documentation.

 -- Fathi Boudra <fabo@debian.org>  Wed, 02 Jun 2010 01:04:52 +0300

skrooge (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Drop 97_fix_target_link_libraries.diff - merged upstream.
  * Update debian/control:
    - Bump kdelibs5-dev build-dependency.
    - Add libqt4-sql-sqlite dependency. (Closes: #582185)
  * Add debian/watch file. Thanks to Felix Geyer. (Closes: #582184)

 -- Fathi Boudra <fabo@debian.org>  Wed, 19 May 2010 08:40:03 +0300

skrooge (0.7.0-1) unstable; urgency=low

  * Initial release. (Closes: #548219)

 -- Fathi Boudra <fabo@debian.org>  Sun, 18 Apr 2010 12:30:46 +0300
