=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --list-missing --with kde

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kde -- -DSKG_BUILD_TEST=false
